function setWeather () {
    var url="http://xml.weather.yahoo.com/forecastrss/JAXX0079_c.xml";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var elm_channel = findChild(findChild(request.responseXML, "rss"), "channel");
    var elm_yweather_location = findChild(elm_channel, "yweather:location");
    var elm_city = elm_yweather_location.getAttribute("city");
    document.getElementById("city").innerText = elm_city;


    var tag_forecast = request.responseXML.getElementsByTagName("forecast");
    document.getElementById("day0").innerText = tag_forecast[0].getAttribute("day");
    document.getElementById("day1").innerText = tag_forecast[1].getAttribute("day");
    document.getElementById("day2").innerText = tag_forecast[2].getAttribute("day");
    document.getElementById("day3").innerText = tag_forecast[3].getAttribute("day");
    document.getElementById("day4").innerText = tag_forecast[4].getAttribute("day");
    document.getElementById("text0").innerText = tag_forecast[0].getAttribute("text");
    document.getElementById("text1").innerText = tag_forecast[1].getAttribute("text");
    document.getElementById("text2").innerText = tag_forecast[2].getAttribute("text");
    document.getElementById("text3").innerText = tag_forecast[3].getAttribute("text");
    document.getElementById("text4").innerText = tag_forecast[4].getAttribute("text");
    document.getElementById("temp0").innerText = tag_forecast[0].getAttribute("high") + " / " + tag_forecast[0].getAttribute("low");
    document.getElementById("temp1").innerText = tag_forecast[1].getAttribute("high") + " / " + tag_forecast[1].getAttribute("low");
    document.getElementById("temp2").innerText = tag_forecast[2].getAttribute("high") + " / " + tag_forecast[2].getAttribute("low");
    document.getElementById("temp3").innerText = tag_forecast[3].getAttribute("high") + " / " + tag_forecast[3].getAttribute("low");
    document.getElementById("temp4").innerText = tag_forecast[4].getAttribute("high") + " / " + tag_forecast[4].getAttribute("low");
}
